Update Semantics search configuration.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/semantic-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postMinScore": 0.5,
"communityMinScore": 0.5
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/semantic-search"
payload = {
"postMinScore": 0.5,
"communityMinScore": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({postMinScore: 0.5, communityMinScore: 0.5})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/semantic-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"semanticSearch": {
"post": {
"enabled": false,
"minScore": 123
},
"community": {
"enabled": false,
"minScore": 123
}
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update Semantics search configuration.
Update Network setting for Semantics search.
PUT
/
api
/
v3
/
network-settings
/
semantic-search
Update Semantics search configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
information for a network setting
Response
Semantic Search configuration
Show child attributes
Show child attributes
⌘I